apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: DEV-cluster
  namespace: default
  description: deployments DEV-cluster
  annotations:
    backstage.io/techdocs-ref: dir:.
  links:
    - url: https://github.com/AllardKrings/kubernetes/dev/
      title: AllardDCS DEV-cluster
  docs:
    - url: ./README.md
spec:
  type: service
  lifecycle: production
  owner: group:default/allarddcs
  children:
    - component:default/dev-camunda
    - component:default/dev-redis
    - component:default/dev-postgres16
    - component:default/dev-argocd
    - component:default/dev-backstage
    - component:default/dev-camunda
    - component:default/dev-cockroachdb
    - component:default/dev-cosign
    - component:default/dev-crate
    - component:default/dev-defectdojo
    - component:default/dev-deptrack
    - component:default/dev-dnsutils
    - component:default/dev-docs
    - component:default/dev-drupal
    - component:default/dev-elasticsearch-kibana
    - component:default/dev-gitea
    - component:default/dev-grafana
    - component:default/dev-harbor
    - component:default/dev-hercules
    - component:default/dev-itop
    - component:default/dev-kafka
    - component:default/dev-kubernetes
    - component:default/dev-mariadb
    - component:default/dev-nexus
    - component:default/dev-nginx
    - component:default/dev-olproperties
    - component:default/dev-pgadmin
    - component:default/dev-phpmyadmin
    - component:default/dev-portainer
    - component:default/dev-postgres13
    - component:default/dev-postgres14
    - component:default/dev-postgres15
    - component:default/dev-postgres16
    - component:default/dev-prometheus
    - component:default/dev-rabbitmq
    - component:default/dev-redis
    - component:default/dev-redmine
    - component:default/dev-sonarqube
    - component:default/dev-tekton
    - component:default/dev-traefik
    - component:default/dev-trivy
    - component:default/dev-zabbix
